/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description: 
*
*/
/* File    : U:\wpsvob\wmlenc\src\common\chtables.c
   Version : \main\9
   Date    : 17-Oct-00.12:45:38
*/

/*
 * ========================================================================
 *  Name        : chtables.c
 *  Part of     : 
 *  Description : 
 *  Version     : 
 *
 *  Copyright (c) 2000 - 2005 Nokia Corporation.
 *  This material, including documentation and any related
 *  computer programs, is protected by copyright controlled by
 *  Nokia Corporation. All rights are reserved. Copying,
 *  including reproducing, storing, adapting or translating, any
 *  or all of this material requires the prior written consent of
 *  Nokia Corporation. This material also contains confidential
 *  information which may not be disclosed to others without the
 *  prior written consent of Nokia Corporation.
 * ========================================================================
 */



/*

    1  ABSTRACT
        
    1.1 Module Type

    type  : subroutines

    1.2 Functional Description

        Initalization of ISO-8859-... character sets/maps.


    1.3 Specification/Design Reference

        doc/wmlarch.doc

    1.4 Module Test Specification Reference

        none

    1.5 Compilation Information

        See: building.txt

    1.6 Notes

        None

*/



/*  2  CONTENTS

        1  ABSTRACT

        2  CONTENTS

        3  GLOSSARY

        4  EXTERNAL RESOURCES
        4.1  Include Files
        4.2  External Data Structures
        4.3  External Function Prototypes

        5  LOCAL CONSTANTS AND MACROS

        6  MODULE DATA STRUCTURES
        6.1  Local Data Structures
        6.2  Local Function Prototypes

        7  MODULE CODE
        7.1   addISOTables

*/



/*  3  GLOSSARY

        None

*/


/*  4  EXTERNAL RESOURCES  */

    /* None */

/*  4.1  Include Files  */

#include "chmap.h"

/*  4.2 External Data Structures  */

    /* None */


/*  4.3 External Function Prototypes  */

    /* None */


/*  5  LOCAL CONSTANTS AND MACROS  */




/*  6  MODULE DATA STRUCTURES  */


/*  6.1 Local Data Structures  */

/*
"ISO-8859-1","ISO-IR-100",
"ISO-8859-1","ISO_8859-1:1987",
"ISO-8859-1","ISO_8859-1",
"ISO-8859-1","LATIN1",
"ISO-8859-1","L1",
"ISO-8859-1","IBM819",
"ISO-8859-1","CP819",
*/
static UINT16 ISO_8859_1_map[]
={
0x0080,0x0080,
0x0081,0x0081,
0x0082,0x0082,
0x0083,0x0083,
0x0084,0x0084,
0x0085,0x0085,
0x0086,0x0086,
0x0087,0x0087,
0x0088,0x0088,
0x0089,0x0089,
0x008A,0x008A,
0x008B,0x008B,
0x008C,0x008C,
0x008D,0x008D,
0x008E,0x008E,
0x008F,0x008F,
0x0090,0x0090,
0x0091,0x0091,
0x0092,0x0092,
0x0093,0x0093,
0x0094,0x0094,
0x0095,0x0095,
0x0096,0x0096,
0x0097,0x0097,
0x0098,0x0098,
0x0099,0x0099,
0x009A,0x009A,
0x009B,0x009B,
0x009C,0x009C,
0x009D,0x009D,
0x009E,0x009E,
0x009F,0x009F,
0x00A0,0x00A0,
0x00A1,0x00A1,
0x00A2,0x00A2,
0x00A3,0x00A3,
0x00A4,0x00A4,
0x00A5,0x00A5,
0x00A6,0x00A6,
0x00A7,0x00A7,
0x00A8,0x00A8,
0x00A9,0x00A9,
0x00AA,0x00AA,
0x00AB,0x00AB,
0x00AC,0x00AC,
0x00AD,0x00AD,
0x00AE,0x00AE,
0x00AF,0x00AF,
0x00B0,0x00B0,
0x00B1,0x00B1,
0x00B2,0x00B2,
0x00B3,0x00B3,
0x00B4,0x00B4,
0x00B5,0x00B5,
0x00B6,0x00B6,
0x00B7,0x00B7,
0x00B8,0x00B8,
0x00B9,0x00B9,
0x00BA,0x00BA,
0x00BB,0x00BB,
0x00BC,0x00BC,
0x00BD,0x00BD,
0x00BE,0x00BE,
0x00BF,0x00BF,
0x00C0,0x00C0,
0x00C1,0x00C1,
0x00C2,0x00C2,
0x00C3,0x00C3,
0x00C4,0x00C4,
0x00C5,0x00C5,
0x00C6,0x00C6,
0x00C7,0x00C7,
0x00C8,0x00C8,
0x00C9,0x00C9,
0x00CA,0x00CA,
0x00CB,0x00CB,
0x00CC,0x00CC,
0x00CD,0x00CD,
0x00CE,0x00CE,
0x00CF,0x00CF,
0x00D0,0x00D0,
0x00D1,0x00D1,
0x00D2,0x00D2,
0x00D3,0x00D3,
0x00D4,0x00D4,
0x00D5,0x00D5,
0x00D6,0x00D6,
0x00D7,0x00D7,
0x00D8,0x00D8,
0x00D9,0x00D9,
0x00DA,0x00DA,
0x00DB,0x00DB,
0x00DC,0x00DC,
0x00DD,0x00DD,
0x00DE,0x00DE,
0x00DF,0x00DF,
0x00E0,0x00E0,
0x00E1,0x00E1,
0x00E2,0x00E2,
0x00E3,0x00E3,
0x00E4,0x00E4,
0x00E5,0x00E5,
0x00E6,0x00E6,
0x00E7,0x00E7,
0x00E8,0x00E8,
0x00E9,0x00E9,
0x00EA,0x00EA,
0x00EB,0x00EB,
0x00EC,0x00EC,
0x00ED,0x00ED,
0x00EE,0x00EE,
0x00EF,0x00EF,
0x00F0,0x00F0,
0x00F1,0x00F1,
0x00F2,0x00F2,
0x00F3,0x00F3,
0x00F4,0x00F4,
0x00F5,0x00F5,
0x00F6,0x00F6,
0x00F7,0x00F7,
0x00F8,0x00F8,
0x00F9,0x00F9,
0x00FA,0x00FA,
0x00FB,0x00FB,
0x00FC,0x00FC,
0x00FD,0x00FD,
0x00FE,0x00FE,
0x00FF,0x00FF,
0x0000,0x0000
}; 
/*
"ISO-8859-10","ISO-IR-157",
"ISO-8859-10","ISO_8859-10:1993",
"ISO-8859-10","ISO_8859-10",
"ISO-8859-10","L6",
"ISO-8859-10","LATIN6",
 !!! NOTE: ISO-8859-10 does not have MIB enum, but latin6 ??? !!!
*/
static UINT16 ISO_8859_10_map[]
={
0x0080,0x0080,
0x0081,0x0081,
0x0082,0x0082,
0x0083,0x0083,
0x0084,0x0084,
0x0085,0x0085,
0x0086,0x0086,
0x0087,0x0087,
0x0088,0x0088,
0x0089,0x0089,
0x008A,0x008A,
0x008B,0x008B,
0x008C,0x008C,
0x008D,0x008D,
0x008E,0x008E,
0x008F,0x008F,
0x0090,0x0090,
0x0091,0x0091,
0x0092,0x0092,
0x0093,0x0093,
0x0094,0x0094,
0x0095,0x0095,
0x0096,0x0096,
0x0097,0x0097,
0x0098,0x0098,
0x0099,0x0099,
0x009A,0x009A,
0x009B,0x009B,
0x009C,0x009C,
0x009D,0x009D,
0x009E,0x009E,
0x009F,0x009F,
0x00A0,0x00A0,
0x00A1,0x0104,
0x00A2,0x0112,
0x00A3,0x0122,
0x00A4,0x012A,
0x00A5,0x0128,
0x00A6,0x0136,
0x00A7,0x00A7,
0x00A8,0x013B,
0x00A9,0x0110,
0x00AA,0x0160,
0x00AB,0x0166,
0x00AC,0x017D,
0x00AD,0x00AD,
0x00AE,0x016A,
0x00AF,0x014A,
0x00B0,0x00B0,
0x00B1,0x0105,
0x00B2,0x0113,
0x00B3,0x0123,
0x00B4,0x012B,
0x00B5,0x0129,
0x00B6,0x0137,
0x00B7,0x00B7,
0x00B8,0x013C,
0x00B9,0x0111,
0x00BA,0x0161,
0x00BB,0x0167,
0x00BC,0x017E,
0x00BD,0x2015, /* fixed: 2014 => 2015 */
0x00BE,0x016B,
0x00BF,0x014B,
0x00C0,0x0100,
0x00C1,0x00C1,
0x00C2,0x00C2,
0x00C3,0x00C3,
0x00C4,0x00C4,
0x00C5,0x00C5,
0x00C6,0x00C6,
0x00C7,0x012E,
0x00C8,0x010C,
0x00C9,0x00C9,
0x00CA,0x0118,
0x00CB,0x00CB,
0x00CC,0x0116,
0x00CD,0x00CD,
0x00CE,0x00CE,
0x00CF,0x00CF,
0x00D0,0x00D0,
0x00D1,0x0145,
0x00D2,0x014C,
0x00D3,0x00D3,
0x00D4,0x00D4,
0x00D5,0x00D5,
0x00D6,0x00D6,
0x00D7,0x0168,
0x00D8,0x00D8,
0x00D9,0x0172,
0x00DA,0x00DA,
0x00DB,0x00DB,
0x00DC,0x00DC,
0x00DD,0x00DD,
0x00DE,0x00DE,
0x00DF,0x00DF,
0x00E0,0x0101,
0x00E1,0x00E1,
0x00E2,0x00E2,
0x00E3,0x00E3,
0x00E4,0x00E4,
0x00E5,0x00E5,
0x00E6,0x00E6,
0x00E7,0x012F,
0x00E8,0x010D,
0x00E9,0x00E9,
0x00EA,0x0119,
0x00EB,0x00EB,
0x00EC,0x0117,
0x00ED,0x00ED,
0x00EE,0x00EE,
0x00EF,0x00EF,
0x00F0,0x00F0,
0x00F1,0x0146,
0x00F2,0x014D,
0x00F3,0x00F3,
0x00F4,0x00F4,
0x00F5,0x00F5,
0x00F6,0x00F6,
0x00F7,0x0169,
0x00F8,0x00F8,
0x00F9,0x0173,
0x00FA,0x00FA,
0x00FB,0x00FB,
0x00FC,0x00FC,
0x00FD,0x00FD,
0x00FE,0x00FE,
0x00FF,0x0138,
0x0000,0x0000
}; 
/*
"ISO-8859-2","ISO-IR-101",
"ISO-8859-2","ISO_8859-2:1987",
"ISO-8859-2","ISO_8859-2",
"ISO-8859-2","LATIN2",
"ISO-8859-2","L2",
*/
static UINT16 ISO_8859_2_map[]
={
0x0080,0x0080,
0x0081,0x0081,
0x0082,0x0082,
0x0083,0x0083,
0x0084,0x0084,
0x0085,0x0085,
0x0086,0x0086,
0x0087,0x0087,
0x0088,0x0088,
0x0089,0x0089,
0x008A,0x008A,
0x008B,0x008B,
0x008C,0x008C,
0x008D,0x008D,
0x008E,0x008E,
0x008F,0x008F,
0x0090,0x0090,
0x0091,0x0091,
0x0092,0x0092,
0x0093,0x0093,
0x0094,0x0094,
0x0095,0x0095,
0x0096,0x0096,
0x0097,0x0097,
0x0098,0x0098,
0x0099,0x0099,
0x009A,0x009A,
0x009B,0x009B,
0x009C,0x009C,
0x009D,0x009D,
0x009E,0x009E,
0x009F,0x009F,
0x00A0,0x00A0,
0x00A1,0x0104,
0x00A2,0x02D8,
0x00A3,0x0141,
0x00A4,0x00A4,
0x00A5,0x013D,
0x00A6,0x015A,
0x00A7,0x00A7,
0x00A8,0x00A8,
0x00A9,0x0160,
0x00AA,0x015E,
0x00AB,0x0164,
0x00AC,0x0179,
0x00AD,0x00AD,
0x00AE,0x017D,
0x00AF,0x017B,
0x00B0,0x00B0,
0x00B1,0x0105,
0x00B2,0x02DB,
0x00B3,0x0142,
0x00B4,0x00B4,
0x00B5,0x013E,
0x00B6,0x015B,
0x00B7,0x02C7,
0x00B8,0x00B8,
0x00B9,0x0161,
0x00BA,0x015F,
0x00BB,0x0165,
0x00BC,0x017A,
0x00BD,0x02DD,
0x00BE,0x017E,
0x00BF,0x017C,
0x00C0,0x0154,
0x00C1,0x00C1,
0x00C2,0x00C2,
0x00C3,0x0102,
0x00C4,0x00C4,
0x00C5,0x0139,
0x00C6,0x0106,
0x00C7,0x00C7,
0x00C8,0x010C,
0x00C9,0x00C9,
0x00CA,0x0118,
0x00CB,0x00CB,
0x00CC,0x011A,
0x00CD,0x00CD,
0x00CE,0x00CE,
0x00CF,0x010E,
0x00D0,0x0110,
0x00D1,0x0143,
0x00D2,0x0147,
0x00D3,0x00D3,
0x00D4,0x00D4,
0x00D5,0x0150,
0x00D6,0x00D6,
0x00D7,0x00D7,
0x00D8,0x0158,
0x00D9,0x016E,
0x00DA,0x00DA,
0x00DB,0x0170,
0x00DC,0x00DC,
0x00DD,0x00DD,
0x00DE,0x0162,
0x00DF,0x00DF,
0x00E0,0x0155,
0x00E1,0x00E1,
0x00E2,0x00E2,
0x00E3,0x0103,
0x00E4,0x00E4,
0x00E5,0x013A,
0x00E6,0x0107,
0x00E7,0x00E7,
0x00E8,0x010D,
0x00E9,0x00E9,
0x00EA,0x0119,
0x00EB,0x00EB,
0x00EC,0x011B,
0x00ED,0x00ED,
0x00EE,0x00EE,
0x00EF,0x010F,
0x00F0,0x0111,
0x00F1,0x0144,
0x00F2,0x0148,
0x00F3,0x00F3,
0x00F4,0x00F4,
0x00F5,0x0151,
0x00F6,0x00F6,
0x00F7,0x00F7,
0x00F8,0x0159,
0x00F9,0x016F,
0x00FA,0x00FA,
0x00FB,0x0171,
0x00FC,0x00FC,
0x00FD,0x00FD,
0x00FE,0x0163,
0x00FF,0x02D9,
0x0000,0x0000
}; 
/*
"ISO-8859-3","ISO-IR-109",
"ISO-8859-3","ISO_8859-3:1988",
"ISO-8859-3","ISO_8859-3",
"ISO-8859-3","LATIN3",
"ISO-8859-3","L3",
*/
static UINT16 ISO_8859_3_map[]
={
0x0080,0x0080,
0x0081,0x0081,
0x0082,0x0082,
0x0083,0x0083,
0x0084,0x0084,
0x0085,0x0085,
0x0086,0x0086,
0x0087,0x0087,
0x0088,0x0088,
0x0089,0x0089,
0x008A,0x008A,
0x008B,0x008B,
0x008C,0x008C,
0x008D,0x008D,
0x008E,0x008E,
0x008F,0x008F,
0x0090,0x0090,
0x0091,0x0091,
0x0092,0x0092,
0x0093,0x0093,
0x0094,0x0094,
0x0095,0x0095,
0x0096,0x0096,
0x0097,0x0097,
0x0098,0x0098,
0x0099,0x0099,
0x009A,0x009A,
0x009B,0x009B,
0x009C,0x009C,
0x009D,0x009D,
0x009E,0x009E,
0x009F,0x009F,
0x00A0,0x00A0,
0x00A1,0x0126,
0x00A2,0x02D8,
0x00A3,0x00A3,
0x00A4,0x00A4,
0x00A6,0x0124,
0x00A7,0x00A7,
0x00A8,0x00A8,
0x00A9,0x0130,
0x00AA,0x015E,
0x00AB,0x011E,
0x00AC,0x0134,
0x00AD,0x00AD,
0x00AF,0x017B,
0x00B0,0x00B0,
0x00B1,0x0127,
0x00B2,0x00B2,
0x00B3,0x00B3,
0x00B4,0x00B4,
0x00B5,0x00B5,
0x00B6,0x0125,
0x00B7,0x00B7,
0x00B8,0x00B8,
0x00B9,0x0131,
0x00BA,0x015F,
0x00BB,0x011F,
0x00BC,0x0135,
0x00BD,0x00BD,
0x00BF,0x017C,
0x00C0,0x00C0,
0x00C1,0x00C1,
0x00C2,0x00C2,
0x00C4,0x00C4,
0x00C5,0x010A,
0x00C6,0x0108,
0x00C7,0x00C7,
0x00C8,0x00C8,
0x00C9,0x00C9,
0x00CA,0x00CA,
0x00CB,0x00CB,
0x00CC,0x00CC,
0x00CD,0x00CD,
0x00CE,0x00CE,
0x00CF,0x00CF,
0x00D1,0x00D1,
0x00D2,0x00D2,
0x00D3,0x00D3,
0x00D4,0x00D4,
0x00D5,0x0120,
0x00D6,0x00D6,
0x00D7,0x00D7,
0x00D8,0x011C,
0x00D9,0x00D9,
0x00DA,0x00DA,
0x00DB,0x00DB,
0x00DC,0x00DC,
0x00DD,0x016C,
0x00DE,0x015C,
0x00DF,0x00DF,
0x00E0,0x00E0,
0x00E1,0x00E1,
0x00E2,0x00E2,
0x00E4,0x00E4,
0x00E5,0x010B,
0x00E6,0x0109,
0x00E7,0x00E7,
0x00E8,0x00E8,
0x00E9,0x00E9,
0x00EA,0x00EA,
0x00EB,0x00EB,
0x00EC,0x00EC,
0x00ED,0x00ED,
0x00EE,0x00EE,
0x00EF,0x00EF,
0x00F1,0x00F1,
0x00F2,0x00F2,
0x00F3,0x00F3,
0x00F4,0x00F4,
0x00F5,0x0121,
0x00F6,0x00F6,
0x00F7,0x00F7,
0x00F8,0x011D,
0x00F9,0x00F9,
0x00FA,0x00FA,
0x00FB,0x00FB,
0x00FC,0x00FC,
0x00FD,0x016D,
0x00FE,0x015D,
0x00FF,0x02D9,
0x0000,0x0000
}; 
/*
"ISO-8859-4","ISO-IR-110",
"ISO-8859-4","ISO_8859-4:1988",
"ISO-8859-4","ISO_8859-4",
"ISO-8859-4","LATIN4",
"ISO-8859-4","L4",
*/
static UINT16 ISO_8859_4_map[]
={
0x0080,0x0080,
0x0081,0x0081,
0x0082,0x0082,
0x0083,0x0083,
0x0084,0x0084,
0x0085,0x0085,
0x0086,0x0086,
0x0087,0x0087,
0x0088,0x0088,
0x0089,0x0089,
0x008A,0x008A,
0x008B,0x008B,
0x008C,0x008C,
0x008D,0x008D,
0x008E,0x008E,
0x008F,0x008F,
0x0090,0x0090,
0x0091,0x0091,
0x0092,0x0092,
0x0093,0x0093,
0x0094,0x0094,
0x0095,0x0095,
0x0096,0x0096,
0x0097,0x0097,
0x0098,0x0098,
0x0099,0x0099,
0x009A,0x009A,
0x009B,0x009B,
0x009C,0x009C,
0x009D,0x009D,
0x009E,0x009E,
0x009F,0x009F,
0x00A0,0x00A0,
0x00A1,0x0104,
0x00A2,0x0138,
0x00A3,0x0156,
0x00A4,0x00A4,
0x00A5,0x0128,
0x00A6,0x013B,
0x00A7,0x00A7,
0x00A8,0x00A8,
0x00A9,0x0160,
0x00AA,0x0112,
0x00AB,0x0122,
0x00AC,0x0166,
0x00AD,0x00AD,
0x00AE,0x017D,
0x00AF,0x00AF,
0x00B0,0x00B0,
0x00B1,0x0105,
0x00B2,0x02DB,
0x00B3,0x0157,
0x00B4,0x00B4,
0x00B5,0x0129,
0x00B6,0x013C,
0x00B7,0x02C7,
0x00B8,0x00B8,
0x00B9,0x0161,
0x00BA,0x0113,
0x00BB,0x0123,
0x00BC,0x0167,
0x00BD,0x014A,
0x00BE,0x017E,
0x00BF,0x014B,
0x00C0,0x0100,
0x00C1,0x00C1,
0x00C2,0x00C2,
0x00C3,0x00C3,
0x00C4,0x00C4,
0x00C5,0x00C5,
0x00C6,0x00C6,
0x00C7,0x012E,
0x00C8,0x010C,
0x00C9,0x00C9,
0x00CA,0x0118,
0x00CB,0x00CB,
0x00CC,0x0116,
0x00CD,0x00CD,
0x00CE,0x00CE,
0x00CF,0x012A,
0x00D0,0x0110,
0x00D1,0x0145,
0x00D2,0x014C,
0x00D3,0x0136,
0x00D4,0x00D4,
0x00D5,0x00D5,
0x00D6,0x00D6,
0x00D7,0x00D7,
0x00D8,0x00D8,
0x00D9,0x0172,
0x00DA,0x00DA,
0x00DB,0x00DB,
0x00DC,0x00DC,
0x00DD,0x0168,
0x00DE,0x016A,
0x00DF,0x00DF,
0x00E0,0x0101,
0x00E1,0x00E1,
0x00E2,0x00E2,
0x00E3,0x00E3,
0x00E4,0x00E4,
0x00E5,0x00E5,
0x00E6,0x00E6,
0x00E7,0x012F,
0x00E8,0x010D,
0x00E9,0x00E9,
0x00EA,0x0119,
0x00EB,0x00EB,
0x00EC,0x0117,
0x00ED,0x00ED,
0x00EE,0x00EE,
0x00EF,0x012B,
0x00F0,0x0111,
0x00F1,0x0146,
0x00F2,0x014D,
0x00F3,0x0137,
0x00F4,0x00F4,
0x00F5,0x00F5,
0x00F6,0x00F6,
0x00F7,0x00F7,
0x00F8,0x00F8,
0x00F9,0x0173,
0x00FA,0x00FA,
0x00FB,0x00FB,
0x00FC,0x00FC,
0x00FD,0x0169,
0x00FE,0x016B,
0x00FF,0x02D9,
0x0000,0x0000
}; 
/*
"ISO-8859-5","ISO-IR-144",
"ISO-8859-5","ISO_8859-5:1988",
"ISO-8859-5","ISO_8859-5",
"ISO-8859-5","CYRILLIC",
*/
static UINT16 ISO_8859_5_map[]
={
0x0080,0x0080,
0x0081,0x0081,
0x0082,0x0082,
0x0083,0x0083,
0x0084,0x0084,
0x0085,0x0085,
0x0086,0x0086,
0x0087,0x0087,
0x0088,0x0088,
0x0089,0x0089,
0x008A,0x008A,
0x008B,0x008B,
0x008C,0x008C,
0x008D,0x008D,
0x008E,0x008E,
0x008F,0x008F,
0x0090,0x0090,
0x0091,0x0091,
0x0092,0x0092,
0x0093,0x0093,
0x0094,0x0094,
0x0095,0x0095,
0x0096,0x0096,
0x0097,0x0097,
0x0098,0x0098,
0x0099,0x0099,
0x009A,0x009A,
0x009B,0x009B,
0x009C,0x009C,
0x009D,0x009D,
0x009E,0x009E,
0x009F,0x009F,
0x00A0,0x00A0,
0x00A1,0x0401,
0x00A2,0x0402,
0x00A3,0x0403,
0x00A4,0x0404,
0x00A5,0x0405,
0x00A6,0x0406,
0x00A7,0x0407,
0x00A8,0x0408,
0x00A9,0x0409,
0x00AA,0x040A,
0x00AB,0x040B,
0x00AC,0x040C,
0x00AD,0x00AD,
0x00AE,0x040E,
0x00AF,0x040F,
0x00B0,0x0410,
0x00B1,0x0411,
0x00B2,0x0412,
0x00B3,0x0413,
0x00B4,0x0414,
0x00B5,0x0415,
0x00B6,0x0416,
0x00B7,0x0417,
0x00B8,0x0418,
0x00B9,0x0419,
0x00BA,0x041A,
0x00BB,0x041B,
0x00BC,0x041C,
0x00BD,0x041D,
0x00BE,0x041E,
0x00BF,0x041F,
0x00C0,0x0420,
0x00C1,0x0421,
0x00C2,0x0422,
0x00C3,0x0423,
0x00C4,0x0424,
0x00C5,0x0425,
0x00C6,0x0426,
0x00C7,0x0427,
0x00C8,0x0428,
0x00C9,0x0429,
0x00CA,0x042A,
0x00CB,0x042B,
0x00CC,0x042C,
0x00CD,0x042D,
0x00CE,0x042E,
0x00CF,0x042F,
0x00D0,0x0430,
0x00D1,0x0431,
0x00D2,0x0432,
0x00D3,0x0433,
0x00D4,0x0434,
0x00D5,0x0435,
0x00D6,0x0436,
0x00D7,0x0437,
0x00D8,0x0438,
0x00D9,0x0439,
0x00DA,0x043A,
0x00DB,0x043B,
0x00DC,0x043C,
0x00DD,0x043D,
0x00DE,0x043E,
0x00DF,0x043F,
0x00E0,0x0440,
0x00E1,0x0441,
0x00E2,0x0442,
0x00E3,0x0443,
0x00E4,0x0444,
0x00E5,0x0445,
0x00E6,0x0446,
0x00E7,0x0447,
0x00E8,0x0448,
0x00E9,0x0449,
0x00EA,0x044A,
0x00EB,0x044B,
0x00EC,0x044C,
0x00ED,0x044D,
0x00EE,0x044E,
0x00EF,0x044F,
0x00F0,0x2116,
0x00F1,0x0451,
0x00F2,0x0452,
0x00F3,0x0453,
0x00F4,0x0454,
0x00F5,0x0455,
0x00F6,0x0456,
0x00F7,0x0457,
0x00F8,0x0458,
0x00F9,0x0459,
0x00FA,0x045A,
0x00FB,0x045B,
0x00FC,0x045C,
0x00FD,0x00A7,
0x00FE,0x045E,
0x00FF,0x045F,
0x0000,0x0000
}; 
/*
"ISO-8859-6","ISO-IR-127",
"ISO-8859-6","ISO_8859-6:1987",
"ISO-8859-6","ISO_8859-6",
"ISO-8859-6","ECMA-114",
"ISO-8859-6","ASMO-708",
"ISO-8859-6","ARABIC",
*/
static UINT16 ISO_8859_6_map[]
={
0x0080,0x0080,
0x0081,0x0081,
0x0082,0x0082,
0x0083,0x0083,
0x0084,0x0084,
0x0085,0x0085,
0x0086,0x0086,
0x0087,0x0087,
0x0088,0x0088,
0x0089,0x0089,
0x008A,0x008A,
0x008B,0x008B,
0x008C,0x008C,
0x008D,0x008D,
0x008E,0x008E,
0x008F,0x008F,
0x0090,0x0090,
0x0091,0x0091,
0x0092,0x0092,
0x0093,0x0093,
0x0094,0x0094,
0x0095,0x0095,
0x0096,0x0096,
0x0097,0x0097,
0x0098,0x0098,
0x0099,0x0099,
0x009A,0x009A,
0x009B,0x009B,
0x009C,0x009C,
0x009D,0x009D,
0x009E,0x009E,
0x009F,0x009F,
0x00A0,0x00A0,
0x00A4,0x00A4,
0x00AC,0x060C,
0x00AD,0x00AD,
0x00BB,0x061B,
0x00BF,0x061F,
0x00C1,0x0621,
0x00C2,0x0622,
0x00C3,0x0623,
0x00C4,0x0624,
0x00C5,0x0625,
0x00C6,0x0626,
0x00C7,0x0627,
0x00C8,0x0628,
0x00C9,0x0629,
0x00CA,0x062A,
0x00CB,0x062B,
0x00CC,0x062C,
0x00CD,0x062D,
0x00CE,0x062E,
0x00CF,0x062F,
0x00D0,0x0630,
0x00D1,0x0631,
0x00D2,0x0632,
0x00D3,0x0633,
0x00D4,0x0634,
0x00D5,0x0635,
0x00D6,0x0636,
0x00D7,0x0637,
0x00D8,0x0638,
0x00D9,0x0639,
0x00DA,0x063A,
0x00E0,0x0640,
0x00E1,0x0641,
0x00E2,0x0642,
0x00E3,0x0643,
0x00E4,0x0644,
0x00E5,0x0645,
0x00E6,0x0646,
0x00E7,0x0647,
0x00E8,0x0648,
0x00E9,0x0649,
0x00EA,0x064A,
0x00EB,0x064B,
0x00EC,0x064C,
0x00ED,0x064D,
0x00EE,0x064E,
0x00EF,0x064F,
0x00F0,0x0650,
0x00F1,0x0651,
0x00F2,0x0652,
0x0000,0x0000
}; 
/*
"ISO-8859-7","ISO-IR-126",
"ISO-8859-7","ISO_8859-7:1987",
"ISO-8859-7","ISO_8859-7",
"ISO-8859-7","ELOT_928",
"ISO-8859-7","ECMA-118",
"ISO-8859-7","GREEK",
"ISO-8859-7","GREEK8",
*/
static UINT16 ISO_8859_7_map[]
={
0x0080,0x0080,
0x0081,0x0081,
0x0082,0x0082,
0x0083,0x0083,
0x0084,0x0084,
0x0085,0x0085,
0x0086,0x0086,
0x0087,0x0087,
0x0088,0x0088,
0x0089,0x0089,
0x008A,0x008A,
0x008B,0x008B,
0x008C,0x008C,
0x008D,0x008D,
0x008E,0x008E,
0x008F,0x008F,
0x0090,0x0090,
0x0091,0x0091,
0x0092,0x0092,
0x0093,0x0093,
0x0094,0x0094,
0x0095,0x0095,
0x0096,0x0096,
0x0097,0x0097,
0x0098,0x0098,
0x0099,0x0099,
0x009A,0x009A,
0x009B,0x009B,
0x009C,0x009C,
0x009D,0x009D,
0x009E,0x009E,
0x009F,0x009F,
0x00A0,0x00A0,
0x00A1,0x2018,  /* fixed: 201B ==> 2018 */
0x00A2,0x2019,
0x00A3,0x00A3,
0x00A6,0x00A6,
0x00A7,0x00A7,
0x00A8,0x00A8,
0x00A9,0x00A9,
0x00AB,0x00AB,
0x00AC,0x00AC,
0x00AD,0x00AD,
0x00AF,0x2015,  /* fixed: 2014 ==> 2015 */
0x00B0,0x00B0,
0x00B1,0x00B1,
0x00B2,0x00B2,
0x00B3,0x00B3,
0x00B4,0x0384,  /* fixed: 00B4 ==> 0384 */
0x00B5,0x0385,
0x00B6,0x0386,
0x00B7,0x00B7,
0x00B8,0x0388,
0x00B9,0x0389,
0x00BA,0x038A,
0x00BB,0x00BB,
0x00BC,0x038C,
0x00BD,0x00BD,
0x00BE,0x038E,
0x00BF,0x038F,
0x00C0,0x0390,
0x00C1,0x0391,
0x00C2,0x0392,
0x00C3,0x0393,
0x00C4,0x0394,
0x00C5,0x0395,
0x00C6,0x0396,
0x00C7,0x0397,
0x00C8,0x0398,
0x00C9,0x0399,
0x00CA,0x039A,
0x00CB,0x039B,
0x00CC,0x039C,
0x00CD,0x039D,
0x00CE,0x039E,
0x00CF,0x039F,
0x00D0,0x03A0,
0x00D1,0x03A1,
0x00D3,0x03A3,
0x00D4,0x03A4,
0x00D5,0x03A5,
0x00D6,0x03A6,
0x00D7,0x03A7,
0x00D8,0x03A8,
0x00D9,0x03A9,
0x00DA,0x03AA,
0x00DB,0x03AB,
0x00DC,0x03AC,
0x00DD,0x03AD,
0x00DE,0x03AE,
0x00DF,0x03AF,
0x00E0,0x03B0,
0x00E1,0x03B1,
0x00E2,0x03B2,
0x00E3,0x03B3,
0x00E4,0x03B4,
0x00E5,0x03B5,
0x00E6,0x03B6,
0x00E7,0x03B7,
0x00E8,0x03B8,
0x00E9,0x03B9,
0x00EA,0x03BA,
0x00EB,0x03BB,
0x00EC,0x03BC,
0x00ED,0x03BD,
0x00EE,0x03BE,
0x00EF,0x03BF,
0x00F0,0x03C0,
0x00F1,0x03C1,
0x00F2,0x03C2,
0x00F3,0x03C3,
0x00F4,0x03C4,
0x00F5,0x03C5,
0x00F6,0x03C6,
0x00F7,0x03C7,
0x00F8,0x03C8,
0x00F9,0x03C9,
0x00FA,0x03CA,
0x00FB,0x03CB,
0x00FC,0x03CC,
0x00FD,0x03CD,
0x00FE,0x03CE,
0x0000,0x0000
}; 
/*
"ISO-8859-8","ISO-IR-138",
"ISO-8859-8","ISO_8859-8:1988",
"ISO-8859-8","ISO_8859-8",
"ISO-8859-8","HEBREW",
*/
static UINT16 ISO_8859_8_map[]
={
0x0080,0x0080,
0x0081,0x0081,
0x0082,0x0082,
0x0083,0x0083,
0x0084,0x0084,
0x0085,0x0085,
0x0086,0x0086,
0x0087,0x0087,
0x0088,0x0088,
0x0089,0x0089,
0x008A,0x008A,
0x008B,0x008B,
0x008C,0x008C,
0x008D,0x008D,
0x008E,0x008E,
0x008F,0x008F,
0x0090,0x0090,
0x0091,0x0091,
0x0092,0x0092,
0x0093,0x0093,
0x0094,0x0094,
0x0095,0x0095,
0x0096,0x0096,
0x0097,0x0097,
0x0098,0x0098,
0x0099,0x0099,
0x009A,0x009A,
0x009B,0x009B,
0x009C,0x009C,
0x009D,0x009D,
0x009E,0x009E,
0x009F,0x009F,
0x00A0,0x00A0,
0x00A2,0x00A2,
0x00A3,0x00A3,
0x00A4,0x00A4,
0x00A5,0x00A5,
0x00A6,0x00A6,
0x00A7,0x00A7,
0x00A8,0x00A8,
0x00A9,0x00A9,
0x00AA,0x00D7,
0x00AB,0x00AB,
0x00AC,0x00AC,
0x00AD,0x00AD,
0x00AE,0x00AE,
0x00AF,0x00AF,  /* fixed: 203E ==> 00AF */
0x00B0,0x00B0,
0x00B1,0x00B1,
0x00B2,0x00B2,
0x00B3,0x00B3,
0x00B4,0x00B4,
0x00B5,0x00B5,
0x00B6,0x00B6,
0x00B7,0x00B7,
0x00B8,0x00B8,
0x00B9,0x00B9,
0x00BA,0x00F7,
0x00BB,0x00BB,
0x00BC,0x00BC,
0x00BD,0x00BD,
0x00BE,0x00BE,
0x00DF,0x2017,
0x00E0,0x05D0,
0x00E1,0x05D1,
0x00E2,0x05D2,
0x00E3,0x05D3,
0x00E4,0x05D4,
0x00E5,0x05D5,
0x00E6,0x05D6,
0x00E7,0x05D7,
0x00E8,0x05D8,
0x00E9,0x05D9,
0x00EA,0x05DA,
0x00EB,0x05DB,
0x00EC,0x05DC,
0x00ED,0x05DD,
0x00EE,0x05DE,
0x00EF,0x05DF,
0x00F0,0x05E0,
0x00F1,0x05E1,
0x00F2,0x05E2,
0x00F3,0x05E3,
0x00F4,0x05E4,
0x00F5,0x05E5,
0x00F6,0x05E6,
0x00F7,0x05E7,
0x00F8,0x05E8,
0x00F9,0x05E9,
0x00FA,0x05EA,
0x00FD,0x200E,  /* fixed: added */
0x00FE,0x200F,  /* fixed: added */
0x0000,0x0000
}; 
/*
"ISO-8859-9","ISO-IR-148",
"ISO-8859-9","ISO_8859-9:1989",
"ISO-8859-9","ISO_8859-9",
"ISO-8859-9","LATIN5",
"ISO-8859-9","L5",
*/
static UINT16 ISO_8859_9_map[]
={
0x0080,0x0080,
0x0081,0x0081,
0x0082,0x0082,
0x0083,0x0083,
0x0084,0x0084,
0x0085,0x0085,
0x0086,0x0086,
0x0087,0x0087,
0x0088,0x0088,
0x0089,0x0089,
0x008A,0x008A,
0x008B,0x008B,
0x008C,0x008C,
0x008D,0x008D,
0x008E,0x008E,
0x008F,0x008F,
0x0090,0x0090,
0x0091,0x0091,
0x0092,0x0092,
0x0093,0x0093,
0x0094,0x0094,
0x0095,0x0095,
0x0096,0x0096,
0x0097,0x0097,
0x0098,0x0098,
0x0099,0x0099,
0x009A,0x009A,
0x009B,0x009B,
0x009C,0x009C,
0x009D,0x009D,
0x009E,0x009E,
0x009F,0x009F,
0x00A0,0x00A0,
0x00A1,0x00A1,
0x00A2,0x00A2,
0x00A3,0x00A3,
0x00A4,0x00A4,
0x00A5,0x00A5,
0x00A6,0x00A6,
0x00A7,0x00A7,
0x00A8,0x00A8,
0x00A9,0x00A9,
0x00AA,0x00AA,
0x00AB,0x00AB,
0x00AC,0x00AC,
0x00AD,0x00AD,
0x00AE,0x00AE,
0x00AF,0x00AF,
0x00B0,0x00B0,
0x00B1,0x00B1,
0x00B2,0x00B2,
0x00B3,0x00B3,
0x00B4,0x00B4,
0x00B5,0x00B5,
0x00B6,0x00B6,
0x00B7,0x00B7,
0x00B8,0x00B8,
0x00B9,0x00B9,
0x00BA,0x00BA,
0x00BB,0x00BB,
0x00BC,0x00BC,
0x00BD,0x00BD,
0x00BE,0x00BE,
0x00BF,0x00BF,
0x00C0,0x00C0,
0x00C1,0x00C1,
0x00C2,0x00C2,
0x00C3,0x00C3,
0x00C4,0x00C4,
0x00C5,0x00C5,
0x00C6,0x00C6,
0x00C7,0x00C7,
0x00C8,0x00C8,
0x00C9,0x00C9,
0x00CA,0x00CA,
0x00CB,0x00CB,
0x00CC,0x00CC,
0x00CD,0x00CD,
0x00CE,0x00CE,
0x00CF,0x00CF,
0x00D0,0x011E,
0x00D1,0x00D1,
0x00D2,0x00D2,
0x00D3,0x00D3,
0x00D4,0x00D4,
0x00D5,0x00D5,
0x00D6,0x00D6,
0x00D7,0x00D7,
0x00D8,0x00D8,
0x00D9,0x00D9,
0x00DA,0x00DA,
0x00DB,0x00DB,
0x00DC,0x00DC,
0x00DD,0x0130,
0x00DE,0x015E,
0x00DF,0x00DF,
0x00E0,0x00E0,
0x00E1,0x00E1,
0x00E2,0x00E2,
0x00E3,0x00E3,
0x00E4,0x00E4,
0x00E5,0x00E5,
0x00E6,0x00E6,
0x00E7,0x00E7,
0x00E8,0x00E8,
0x00E9,0x00E9,
0x00EA,0x00EA,  /* fixed: 0119 ==> 00EA */
0x00EB,0x00EB,
0x00EC,0x00EC,  /* fixed: 0117 ==> 00EC */
0x00ED,0x00ED,
0x00EE,0x00EE,
0x00EF,0x00EF,  /* fixed: 012B ==> 00EF */
0x00F0,0x011F,
0x00F1,0x00F1,
0x00F2,0x00F2,
0x00F3,0x00F3,
0x00F4,0x00F4,
0x00F5,0x00F5,
0x00F6,0x00F6,
0x00F7,0x00F7,
0x00F8,0x00F8,
0x00F9,0x00F9,
0x00FA,0x00FA,
0x00FB,0x00FB,
0x00FC,0x00FC,
0x00FD,0x0131,
0x00FE,0x015F,
0x00FF,0x00FF,
0x0000,0x0000
}; 

const char * pairs[]={
 "ISO-IR-100",          "ISO-8859-1",               
 "ISO_8859-1:1987",     "ISO-8859-1",                   
 "ISO_8859-1",          "ISO-8859-1",               
 "LATIN1",              "ISO-8859-1",           
 "L1",                  "ISO-8859-1",       
 "IBM819",              "ISO-8859-1",           
 "CP819",               "ISO-8859-1",           
    "latin-1"    ,      "ISO-8859-1",
    "csISOLatin1",      "ISO-8859-1",
 "ISO-8859-10",         "latin6",              /* see above */
    "ISO_8859-10:1992", "latin6",
    "csISOLatin6",      "latin6",
 "ISO-IR-157",          "ISO-8859-10",              
 "ISO_8859-10:1993",    "ISO-8859-10",                  
 "ISO_8859-10",         "ISO-8859-10",              
 "L6",                  "ISO-8859-10",      
 "ISO-IR-101",          "ISO-8859-2",               
 "ISO_8859-2:1987",     "ISO-8859-2",                   
 "ISO_8859-2",          "ISO-8859-2",               
 "LATIN2",              "ISO-8859-2",           
 "L2",                  "ISO-8859-2",       
    "latin-2"    ,      "ISO-8859-2",
    "csISOLatin2",      "ISO-8859-2",
 "ISO-IR-109",          "ISO-8859-3",               
 "ISO_8859-3:1988",     "ISO-8859-3",                   
 "ISO_8859-3",          "ISO-8859-3",               
 "LATIN3",              "ISO-8859-3",           
 "L3",                  "ISO-8859-3",       
    "latin-3"    ,      "ISO-8859-3",
    "csISOLatin3",      "ISO-8859-3",
 "ISO-IR-110",          "ISO-8859-4",               
 "ISO_8859-4:1988",     "ISO-8859-4",                   
 "ISO_8859-4",          "ISO-8859-4",               
 "LATIN4",              "ISO-8859-4",           
 "L4",                  "ISO-8859-4",       
    "latin-4"    ,      "ISO-8859-4",
    "csISOLatin4",      "ISO-8859-4",
    "ISO-Latin-4",      "ISO-8859-4",
 "ISO-IR-144",          "ISO-8859-5",               
 "ISO_8859-5:1988",     "ISO-8859-5",                   
 "ISO_8859-5",          "ISO-8859-5",               
 "CYRILLIC",            "ISO-8859-5",           
    "csISOLatinCyrillic", "ISO-8859-5",
 "ISO-IR-127",          "ISO-8859-6",               
 "ISO_8859-6:1987",     "ISO-8859-6",                   
 "ISO_8859-6",          "ISO-8859-6",               
 "ECMA-114",            "ISO-8859-6",           
 "ASMO-708",            "ISO-8859-6",           
 "ARABIC",              "ISO-8859-6",           
    "csISOLatinArabic", "ISO-8859-6",
 "ISO-IR-126",          "ISO-8859-7",               
 "ISO_8859-7:1987",     "ISO-8859-7",                   
 "ISO_8859-7",          "ISO-8859-7",               
 "ELOT_928",            "ISO-8859-7",           
 "ECMA-118",            "ISO-8859-7",           
 "GREEK",               "ISO-8859-7",           
 "GREEK8",              "ISO-8859-7",           
    "csISOLatinGreek" , "ISO-8859-7",
 "ISO-IR-138",          "ISO-8859-8",               
 "ISO_8859-8:1988",     "ISO-8859-8",                   
 "ISO_8859-8",          "ISO-8859-8",               
 "HEBREW",              "ISO-8859-8",           
    "csISOLatinHebrew", "ISO-8859-8",
 "ISO-IR-148",          "ISO-8859-9",               
 "ISO_8859-9:1989",     "ISO-8859-9",                   
 "ISO_8859-9",          "ISO-8859-9",               
 "LATIN5",              "ISO-8859-9",           
 "L5",                  "ISO-8859-9",       
    "latin-5"    ,      "ISO-8859-9",
    "csISOLatin5",      "ISO-8859-9",
    0, 0
};

/*  6.2 Local Function Prototypes  */

    /* None */


/*  7 MODULE CODE  */



/*
=============================================================================
*/
/*  7.1  */
int addISOTables()
{
/*
-----------------------------------------------------------------------------
*/
/*  Data structures */

    const char **pp;

/* Code */

    /* ISO character sets */

    addCharacterSet("ISO-8859-1", ISO_8859_1_map);
    addCharacterSet("ISO-8859-2", ISO_8859_2_map);
    addCharacterSet("ISO-8859-3", ISO_8859_3_map);
    addCharacterSet("ISO-8859-4", ISO_8859_4_map);
    addCharacterSet("ISO-8859-5", ISO_8859_5_map);
    addCharacterSet("ISO-8859-6", ISO_8859_6_map);
    addCharacterSet("ISO-8859-7", ISO_8859_7_map);
    addCharacterSet("ISO-8859-8", ISO_8859_8_map);
    addCharacterSet("ISO-8859-9", ISO_8859_9_map);
    addCharacterSet("latin6", ISO_8859_10_map);     /* see above */


    /* Alias */
    for(pp = pairs; *pp; pp+=2) {
        addAliasName(*pp,*(pp+1));
    }
    addAliasName("UTF_8","UTF-8");
    addAliasName("UTF8","UTF-8");

    addAliasName("UTF_16","UTF-16");
    addAliasName("UTF16","UTF-16");

    addAliasName("UCS-2","UTF-16");
    addAliasName("UCS_2","UTF-16");
    addAliasName("UCS2","UTF-16");

    addAliasName("UCS-4","UCS4");
    addAliasName("UCS_4","UCS4");

    addAliasName("Unicode","UTF-16");
    addAliasName("10646","UTF-16");
    addAliasName("ISO/IEC10646-1","UTF-16");

    return 1;

}

/*
=============================================================================
*/


